unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    RadioGroup1: TRadioGroup;
    Image1: TImage;
    Button2: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  ob: integer;

implementation

{$R *.DFM}

procedure hauszeichnen;
var
  oh, xDach, yDach: integer;
begin
  oh := round(ob/3);
  with Form1.Image1.Canvas do begin
    Pen.Color := clblue;
    Pen.Width := 2;
    Rectangle(10,Form1.Image1.Height-10-oh,10+ob,Form1.Image1.Height-10);
    xDach := round((10+(10+ob))/2);
    yDach := round(Form1.Image1.Height-10-2*oh);
    Pen.Color := clRed;
    MoveTo(10,Form1.Image1.Height-10-oh);
    LineTo(xDach,yDach);
    LineTo(10+ob,Form1.Image1.Height-10-oh);
  end;
end;

procedure geradenbueschel;
var
  i, j: integer;
begin
  j := 0;
  with Form1.Image1.Canvas do
  begin
    Pen.Color := clblue;
    for i := 1 to 10 do
    begin
      MoveTo(0,0);
      LineTo(ob,j);
      j := j + 10;
    end;
  end;
end;

procedure fadengrafik;
var i,j: integer;
begin
  with Form1.Image1.Canvas do
  begin
    i := Form1.Image1.Height;
    j := 20;
    while j <= ob do
    begin
      MoveTo(0,i);
      LineTo(j,0);
      i := i-20;
      j := j+20;
    end;
  end;
end;

procedure kreise;
var
  x1,y1,x2,y2,i: integer;
begin
  x1 := 0; y1 := 0; x2 := ob; y2 := ob;
  with Form1.Image1.Canvas do
  begin
    for i := 1 to 10 do
    begin
      Ellipse(x1,y1,x2,y2);
      x1 := x1+10; y1 := y1+10;
      x2 := x2-10; y2 := y2-10;
    end;
  end;
end;

procedure quadrate;
var
  x1,y1,x2,y2,i: integer;
begin
  x1 := 0; y1 := 0; x2 := ob; y2 := ob;
  with Form1.Image1.Canvas do
  begin
    for i := 1 to 10 do
    begin
      Rectangle(x1,y1,x2,y2);
      x1 := x1+10; y1 := y1+10;
      x2 := x2-10; y2 := y2-10;
    end;
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
var cb, ch, typ: integer;
begin
  with image1 do
  begin
    cb:=clientwidth;
    ch:=clientheight;
    Canvas.Pen.Color:=clWhite;
    Canvas.Rectangle(0,0,cb,ch);
    Canvas.Pen.Color:=clBlack;
    ob:=StrToInt(Edit1.Text);
    if ob > (cb-20) then showmessage ('Zu gro!')
    else
    begin
      typ:=RadioGroup1.ItemIndex;
      case typ of
      0: hauszeichnen;
      1: geradenbueschel;
      2: fadengrafik;
      3: kreise;
      4: quadrate;
      end;
    end;
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Edit1.Clear;
  RadioGroup1.ItemIndex:=0;
  ob := 0;
  with Image1.Canvas do
  begin
    Pen.Color:=clWhite;
    Rectangle(0,0,clientwidth,clientheight);
    Pen.Color:=clBlack;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ob := 0;
  with Image1.Canvas do
  begin
    Pen.Color:=clWhite;
    Rectangle(0,0,clientwidth,clientheight);
    Pen.Color:=clBlack;
  end;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  close;
end;

end.
